Debian Bug report logs - #692912
chromaprint: FTBFS against libav9

version graph

Package: chromaprint; Maintainer for chromaprint is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Reinhard Tartler <siretart@tauware.de>

Date: Sat, 10 Nov 2012 18:18:02 UTC

Severity: important

Found in version 0.6-2

Fixed in version chromaprint/0.7-1

Done: Reinhard Tartler <siretart@tauware.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, siretart@tauware.de, Simon Chopin <chopin.simon@gmail.com>:
Bug#692912; Package chromaprint. (Sat, 10 Nov 2012 18:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
New Bug report received and forwarded. Copy sent to siretart@tauware.de, Simon Chopin <chopin.simon@gmail.com>. (Sat, 10 Nov 2012 18:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: chromaprint: FTBFS against libav9
Date: Sat, 10 Nov 2012 18:16:00 +0000
[Message part 1 (text/plain, inline)]
Package: chromaprint
Version: 0.6-2
Severity: important

Dear Maintainer,

Your package chromaprint current fails to build against libav9, which is
currently in experimental. Please review and discuss the attached patch
with your upstream.

Thanks,
Reinhard

-- System Information:
Debian Release: wheezy/sid
  APT prefers raring-proposed
  APT policy: (500, 'raring-proposed'), (500, 'raring')
Architecture: amd64 (x86_64)

Kernel: Linux 3.5.0-18-generic (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[fix-ftbfs-libav9.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#692912; Package chromaprint. (Thu, 15 Nov 2012 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Chopin <chopin.simon@gmail.com>:
Extra info received and forwarded to list. (Thu, 15 Nov 2012 13:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 692912@bugs.debian.org (full text, mbox):

From: Simon Chopin <chopin.simon@gmail.com>
To: Reinhard Tartler <siretart@tauware.de>, 692912@bugs.debian.org
Subject: Re: Bug#692912: chromaprint: FTBFS against libav9
Date: Thu, 15 Nov 2012 14:23:35 +0100
Ccing upstream. Lukas, you can see the patch at http://bugs.debian.org/692912

On Sat, Nov 10, 2012 at 7:16 PM, Reinhard Tartler <siretart@tauware.de> wrote:
>
> Package: chromaprint
> Version: 0.6-2
> Severity: important
>
> Dear Maintainer,
>
> Your package chromaprint current fails to build against libav9, which is
> currently in experimental. Please review and discuss the attached patch
> with your upstream.
>
> Thanks,
> Reinhard

ACK. I don't have a lot of time on my hands at the moment, so I don't
have time to check whether the fingerprint survives transcoding
anymore. In any case, I've noticed that the latest upstream (0.7)
doesn't build against libav in sid. I'll attach the logs to the bug
when I'll get home.

Thanks for the patch and the efforts,
Cheers,
Simon



Information forwarded to debian-bugs-dist@lists.debian.org, Simon Chopin <chopin.simon@gmail.com>:
Bug#692912; Package chromaprint. (Wed, 19 Dec 2012 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matteo Settenvini <matteo@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to Simon Chopin <chopin.simon@gmail.com>. (Wed, 19 Dec 2012 13:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 692912@bugs.debian.org (full text, mbox):

From: Matteo Settenvini <matteo@member.fsf.org>
To: 692912@bugs.debian.org
Cc: Simon Chopin <chopin.simon@gmail.com>
Subject: Update for libchromaprint to version 0.7
Date: Wed, 19 Dec 2012 14:12:43 +0100
[Message part 1 (text/plain, inline)]
Dear Simon,

I found some time to patch the new libchromaprint 0.7 sources to have
them compile with a newer version of libav(util|format|...).

Hopefully this should work against experimental. Mainly, I tested the
behaviour of the included fpcalc; I did not test the gstreamer plugin,
so if you have a couple of minutes, that would be nice.

The sources for chromaprint are available at:
http://acoustid.org/chromaprint

Cheers,
-- 
Matteo Settenvini
FSF Associated Member
Email : matteo@member.fsf.org


-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS/E d--(-) s+: a- C+++ UL+++
P+ L++++>$ E++>+++ W+++ N+ o?
w--- O M- V- PS++ PE- Y+>++
PGP+++ t++ 5 X- R+ !tv b+++
DI++ D++ G++ e++ h+ r++ y+
------END GEEK CODE BLOCK------
[chromaprint_0.7-1~matteo1.debian.tar.gz (application/x-compressed-tar, attachment)]
[chromaprint_0.7-1~matteo1.dsc (application/pgp-signature, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Reinhard Tartler <siretart@tauware.de>:
You have taken responsibility. (Fri, 22 Feb 2013 06:51:06 GMT) Full text and rfc822 format available.

Notification sent to Reinhard Tartler <siretart@tauware.de>:
Bug acknowledged by developer. (Fri, 22 Feb 2013 06:51:06 GMT) Full text and rfc822 format available.

Message #20 received at 692912-close@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 692912-close@bugs.debian.org
Subject: Bug#692912: fixed in chromaprint 0.7-1
Date: Fri, 22 Feb 2013 06:47:32 +0000
Source: chromaprint
Source-Version: 0.7-1

We believe that the bug you reported is fixed in the latest version of
chromaprint, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692912@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reinhard Tartler <siretart@tauware.de> (supplier of updated chromaprint package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 22 Feb 2013 07:08:44 +0100
Source: chromaprint
Binary: libchromaprint-dev libchromaprint0 libchromaprint-tools
Architecture: source i386
Version: 0.7-1
Distribution: experimental
Urgency: low
Maintainer: Reinhard Tartler <siretart@debian.org>
Changed-By: Reinhard Tartler <siretart@tauware.de>
Description: 
 libchromaprint-dev - audio fingerprinting library - development files
 libchromaprint-tools - audio fingerprinting library - tools
 libchromaprint0 - audio fingerprint library
Closes: 692912
Changes: 
 chromaprint (0.7-1) experimental; urgency=low
 .
   [ Simon Chopin ]
   * New upstream release
   * Add fix-libav9-ftbfs patch for libav9 compatibility. (Closes: #692912)
     Thanks to Reinhard Tartler.
 .
   [ Reinhard Tartler ]
   * normalize fields with 'wrap-and-sort -as'
   * update Maintainers field, add myself to uploaders
   * make git-buildpackage work in branch 'exerimental'
Checksums-Sha1: 
 7cb2b06611a10164475926753d50fd5669124bf4 1614 chromaprint_0.7-1.dsc
 ceb94f43fbdc7e8a2964d652ac8ef529c70f7758 543119 chromaprint_0.7.orig.tar.gz
 e5c72aa68e8aa61ef9721f22a6a93901d7165d61 4619 chromaprint_0.7-1.debian.tar.gz
 48930dcc018d56dd139070af963f399a099a4a11 7448 libchromaprint-dev_0.7-1_i386.deb
 87ecace71344cdc3e2e5411daed8b151c76e922d 32300 libchromaprint0_0.7-1_i386.deb
 d9e1b17785530dbeb012af6c75e06c74687b0ba7 9654 libchromaprint-tools_0.7-1_i386.deb
Checksums-Sha256: 
 1abe5ad7a315f0e840ef20f1b972973152c213675bc6ff77dea18a11b61679bb 1614 chromaprint_0.7-1.dsc
 9d9b34931ba30f056721d9941615c3f67339787cc3d7d0495f051ad9b29ec28d 543119 chromaprint_0.7.orig.tar.gz
 12caa6019d21c2d7d0bf5ea7656150ee2932d8ad78ad3c4aa5238e5f5fdc005a 4619 chromaprint_0.7-1.debian.tar.gz
 7fc927020714406d32f1d9db87f1f634e9face057a56db1802cacb2fbf5c26f0 7448 libchromaprint-dev_0.7-1_i386.deb
 9b721313ce1a62533856e27d21243ffb29757cb005d29245a4477c967887daad 32300 libchromaprint0_0.7-1_i386.deb
 9e9e6abe10af0c580118f71b4ec8637d30499b6a3a759aa79598283011ab6ee0 9654 libchromaprint-tools_0.7-1_i386.deb
Files: 
 e7101f36e94a5c27a545b04419194226 1614 libs optional chromaprint_0.7-1.dsc
 f559c89769b77a4d077ccafe0803c908 543119 libs optional chromaprint_0.7.orig.tar.gz
 08a6c3d6e08f93d8168222415949b235 4619 libs optional chromaprint_0.7-1.debian.tar.gz
 c17f854369b4ab56509fd956cff07b80 7448 libdevel optional libchromaprint-dev_0.7-1_i386.deb
 efe47a7a16e7d505375a847bf0ae55e6 32300 libs optional libchromaprint0_0.7-1_i386.deb
 1374ae0a8c7e2f0b7af06da1a7264cf4 9654 sound optional libchromaprint-tools_0.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (GNU/Linux)
Comment: Debian Powered!

iEYEARECAAYFAlEnEGYACgkQmAg1RJRTSKRtcQCfUGQ4JbW2a1mU/6T0puUZZjxK
vDoAn1EuOXyABiayLjfjnD4YPzld7TVV
=aRX7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Nov 2013 07:27:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:45:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.